Subject: Re: [Bitcoin-development] BIP-13

From: Michael Grønager <[email-masked]>
Date: Mon, 20 Feb 2012 16:47:53 +0100

> 
>> The "version" portion of the address has so far been labeled "network id",
>> and indicates from which network and which chain the address can be used
>> for.
> 
> Where do you see this? It has always been "version" as far as I am aware, and 
> we discussed formalizing the details of the bits in it a few months back.
> In any case, it was certainly originally intended as "version" as can be 
> observed in Satoshi's reference implementation.

See: https://en.bitcoin.it/wiki/Technical_background_of_Bitcoin_addresses

And the attached graphics - here it is defined as network byte and network id.

Anyway - can probably live with some bit level subdivision into network id and address class.

/M